*
* Generic triode model: 10
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:25 2008
*          Plate
*          | Grid
*          | | Cathode
*          | | |
.SUBCKT 10 A G K
.param GG {(V(G,K)+-0.99999237)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0096683582*EP)^-0.12233483)}
.param M2 {((0.92459336*URAMP(GG+EP/7.7993226))^1.6223348)}
.param P  {(0.00027480869*URAMP(GG+EP/8.4354085)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00020223856*M1*M2)}
.param IG {(0.00013740434*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00018769219*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 7p
CGK G K 4p
CAK A K 3p
.ENDS
