*
* Generic triode model: 12AX7
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:09 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 12AX7 A G K
.param GG {(V(G,K)+0.59836683)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0017172334*EP)^-0.2685074)}
.param M2 {((0.84817287*URAMP(GG+EP/88.413802))^1.7685074)}
.param P  {(0.001130216*URAMP(GG+EP/104.24031)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00071211506*M1*M2)}
.param IG {(0.000565108*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00058141055*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.7p
CGK G K 1.6p
CAK A K 0.5p
.ENDS
