*
* Generic triode model: 211
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:51 2008
*           Plate
*           | Grid
*           | | Cathode
*           | | |
.SUBCKT 211 A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0021297199*EP)^-0.038461562)}
.param M2 {((0.97499998*URAMP(GG+EP/11.73864))^1.5384616)}
.param P  {(0.00045306372*URAMP(GG+EP/12.039631)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00039351788*M1*M2)}
.param IG {(0.00011014965*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00041468102*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 14p
CGK G K 5.4p
CAK A K 4.8p
.ENDS
