*
* Generic triode model: 25E5T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:19 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 25E5T A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.081561717*EP)^-0.79980677)}
.param M2 {((0.65222871*URAMP(GG+EP/4.2639035))^2.2998068)}
.param P  {(0.0042185857*URAMP(GG+EP/6.5374361)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0025511424*M1*M2)}
.param IG {(0.0021092928*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00311336*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 7.7p
CGK G K 9.9p
CAK A K 7p
.ENDS
