*
* Generic triode model: 27
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:29 2008
*          Plate
*          | Grid
*          | | Cathode
*          | | |
.SUBCKT 27 A G K
.param GG {(V(G,K)+0.99999994)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.041269212*EP)^-0.69845105)}
.param M2 {((0.68229856*URAMP(GG+EP/7.6982676))^2.1984511)}
.param P  {(0.00036339312*URAMP(GG+EP/11.282843)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00021306994*M1*M2)}
.param IG {(0.00018169656*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00023106309*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 3.3p
CGK G K 3.1p
CAK A K 2.3p
.ENDS
