*
* Generic triode model: 35C5T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:22 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 35C5T A G K
.param GG {(V(G,K)+0.99999998)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.12544688*EP)^-1.6161868)}
.param M2 {((0.48135753*URAMP(GG+EP/4.1343593))^3.1161868)}
.param P  {(0.0021455369*URAMP(GG+EP/8.5889574)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0024204769*M1*M2)}
.param IG {(0.0010727685*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0014581748*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 5.2p
CGK G K 6.9p
CAK A K 8.4p
.ENDS
