*
* Generic triode model: 5842
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:05 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 5842 A G K
.param GG {(V(G,K)+-0.46951652)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0042897418*EP)^-0.30633316)}
.param M2 {((0.8304116*URAMP(GG+EP/39.533476))^1.8063332)}
.param P  {(0.017297881*URAMP(GG+EP/47.607086)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.010632968*M1*M2)}
.param IG {(0.0086489406*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0091968129*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.8p
CGK G K 9p
CAK A K 0.5p
.ENDS
