*
* Generic triode model: 6080
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:10 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6080 A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.37781455*EP)^-1.6383781)}
.param M2 {((0.47795388*URAMP(GG+EP/1.3817523))^3.1383781)}
.param P  {(0.0026607218*URAMP(GG+EP/2.8909741)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0030745874*M1*M2)}
.param IG {(0.0013303609*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0028241574*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 8.6p
CGK G K 6p
CAK A K 2.2p
.ENDS
