*
* Generic triode model: 6AN8T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:05 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6AN8T A G K
.param GG {(V(G,K)+0.60043597)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.041145821*EP)^-1.4559246)}
.param M2 {((0.50745543*URAMP(GG+EP/11.970707))^2.9559246)}
.param P  {(0.0016328391*URAMP(GG+EP/23.589672)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0015634562*M1*M2)}
.param IG {(0.00081641955*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00092133983*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.5p
CGK G K 2p
CAK A K 0.3p
.ENDS
