*
* Generic triode model: 6BQ7A
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:22 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6BQ7A A G K
.param GG {(V(G,K)+0.20509979)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.018083864*EP)^-1.3247636)}
.param M2 {((0.53101788*URAMP(GG+EP/25.933734))^2.8247636)}
.param P  {(0.004700912*URAMP(GG+EP/48.837779)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.003987561*M1*M2)}
.param IG {(0.0024349538*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00085381496*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.2p
CGK G K 2.6p
CAK A K 1.2p
.ENDS
