*
* Generic triode model: 6GB5T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:07 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6GB5T A G K
.param GG {(V(G,K)+0.84509256)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.074600608*EP)^-0.78902807)}
.param M2 {((0.65529996*URAMP(GG+EP/4.6206063))^2.2890281)}
.param P  {(0.0051497371*URAMP(GG+EP/7.0511317)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0031020384*M1*M2)}
.param IG {(0.0025748686*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0037083507*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 10.4p
CGK G K 12.9p
CAK A K 9.4p
.ENDS
