*
* Generic triode model: 6K7T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Wed Jun 30 20:54:56 2010
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6K7T A G K
.param GG {(V(G,K)+-1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((2.3738651*EP)^-38.694622)}
.param M2 {((0.037318425*URAMP(GG+EP/0.40553339))^40.194622)}
.param P  {(0.00060436625*URAMP(GG+EP/10.866841)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*2.5180035e+51*M1*M2)}
.param IG {(0.00030218313*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00038749733*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.8p
CGK G K 4.2p
CAK A K 12p
.ENDS
