*
* Generic triode model: 6LB6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:40 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6LB6T A G K
.param GG {(V(G,K)+0.99700414)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.23985722*EP)^-1.8495045)}
.param M2 {((0.44782743*URAMP(GG+EP/2.3020886))^3.3495045)}
.param P  {(0.0060056363*URAMP(GG+EP/5.1405708)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0088470322*M1*M2)}
.param IG {(0.0030028181*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.004837887*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 13.5p
CGK G K 19.5p
CAK A K 17.6p
.ENDS
