*
* Generic triode model: 6RA3
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:45 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6RA3 A G K
.param GG {(V(G,K)+0.99999995)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.17083943*EP)^-1.0578391)}
.param M2 {((0.5864325*URAMP(GG+EP/2.4207966))^2.5578391)}
.param P  {(0.0037228747*URAMP(GG+EP/4.1280055)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0025729671*M1*M2)}
.param IG {(0.0018614373*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0032931125*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 5.2p
CGK G K 6.9p
CAK A K 5.4p
.ENDS
