*
* Generic triode model: 6RA8
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:47 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6RA8 A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.044109598*EP)^-0.88419381)}
.param M2 {((0.62914349*URAMP(GG+EP/8.4076149))^2.3841938)}
.param P  {(0.0062736966*URAMP(GG+EP/13.363589)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0039315365*M1*M2)}
.param IG {(0.0031368483*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0038540551*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 5.2p
CGK G K 6.9p
CAK A K 5.4p
.ENDS
