*
* Generic triode model: 6SC7
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:53 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6SC7 A G K
.param GG {(V(G,K)+0.44106944)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0042907324*EP)^-0.48871674)}
.param M2 {((0.75425523*URAMP(GG+EP/57.273385))^1.9887167)}
.param P  {(0.00077042152*URAMP(GG+EP/75.933693)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00044535539*M1*M2)}
.param IG {(0.00038521076*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00040047972*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2p
CGK G K 2p
CAK A K 3p
.ENDS
