*
* Generic triode model: 6W6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:06 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6W6T A G K
.param GG {(V(G,K)+0.99999997)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.032441217*EP)^-0.3672418)}
.param M2 {((0.80332392*URAMP(GG+EP/6.062537))^1.8672418)}
.param P  {(0.0022625178*URAMP(GG+EP/7.546815)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.001349448*M1*M2)}
.param IG {(0.0012737812*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0012049281*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 6.5p
CGK G K 8.6p
CAK A K 8.2p
.ENDS
