*
* Generic triode model: 8417T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:26 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 8417T A G K
.param GG {(V(G,K)+0.63054378)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.036846957*EP)^-1.2260611)}
.param M2 {((0.55024446*URAMP(GG+EP/12.206043))^2.7260611)}
.param P  {(0.0099006053*URAMP(GG+EP/22.182946)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0077318666*M1*M2)}
.param IG {(0.0049503027*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0056272659*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 9.4p
CGK G K 12.7p
CAK A K 8.1p
.ENDS
