*
* Generic triode model: E83FT
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:32 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT E83FT A G K
.param GG {(V(G,K)+0.67775811)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.012440248*EP)^-0.83377528)}
.param M2 {((0.6427354*URAMP(GG+EP/28.718446))^2.3337753)}
.param P  {(0.0069226192*URAMP(GG+EP/44.6816)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0042425066*M1*M2)}
.param IG {(0.0034613096*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0036950034*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 3.2p
CGK G K 4.8p
CAK A K 3.5p
.ENDS
