*
* Generic triode model: PX4
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:43:04 2008
*           Plate
*           | Grid
*           | | Cathode
*           | | |
.SUBCKT PX4 A G K
.param GG {(V(G,K)+-0.81287548)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.047093515*EP)^-0.41642857)}
.param M2 {((0.78270592*URAMP(GG+EP/4.6140976))^1.9164286)}
.param P  {(0.0010767826*URAMP(GG+EP/5.895059)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.000631487*M1*M2)}
.param IG {(0.00053839132*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00082368923*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 13.7p
CGK G K 7.7p
CAK A K 3.9p
.ENDS
