*
* Generic triode model: 12B4A
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:12 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 12B4A A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.087065329*EP)^-1.2036947)}
.param M2 {((0.55479636*URAMP(GG+EP/5.1134435))^2.7036947)}
.param P  {(0.0047680512*URAMP(GG+EP/9.2167935)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0036584566*M1*M2)}
.param IG {(0.0023840256*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0031806909*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.8p
CGK G K 5p
CAK A K 1.5p
.ENDS
