*
* Generic triode model: 12GN7AT
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:16 2008
*               Plate
*               | Grid
*               | | Cathode
*               | | |
.SUBCKT 12GN7AT A G K
.param GG {(V(G,K)+-0.52499611)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0070794303*EP)^-0.51284817)}
.param M2 {((0.74521269*URAMP(GG+EP/35.989804))^2.0128482)}
.param P  {(0.032317671*URAMP(GG+EP/48.294674)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.018638041*M1*M2)}
.param IG {(0.016158835*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.017167779*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 7.1p
CGK G K 10.4p
CAK A K 3.9p
.ENDS
