*
* Generic triode model: 1619T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:00 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 1619T A G K
.param GG {(V(G,K)+-0.99999999)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.021726327*EP)^-0.34437983)}
.param M2 {((0.8132815*URAMP(GG+EP/8.5941123))^1.8443798)}
.param P  {(0.00095297512*URAMP(GG+EP/10.567205)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00057412229*M1*M2)}
.param IG {(0.00047648756*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0006149126*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.4p
CGK G K 6.1p
CAK A K 12.2p
.ENDS
