*
* Generic triode model: 2A3
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:38:56 2008
*           Plate
*           | Grid
*           | | Cathode
*           | | |
.SUBCKT 2A3 A G K
.param GG {(V(G,K)+-0.47258991)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.056835059*EP)^-0.4044593)}
.param M2 {((0.78762513*URAMP(GG+EP/3.7366878))^1.9044593)}
.param P  {(0.0012053852*URAMP(GG+EP/4.7442465)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.000709416*M1*M2)}
.param IG {(0.00060269261*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0010032299*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 16.5p
CGK G K 7.5p
CAK A K 5.5p
.ENDS
