*
* Generic triode model: 31LZ6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:20 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT 31LZ6T A G K
.param GG {(V(G,K)+-0.11976616)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.21025804*EP)^-1.445676)}
.param M2 {((0.50922098*URAMP(GG+EP/2.3341748))^2.945676)}
.param P  {(0.0061264796*URAMP(GG+EP/4.5838151)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0058083241*M1*M2)}
.param IG {(0.0030632398*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0051737191*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 9.2p
CGK G K 12.9p
CAK A K 10.4p
.ENDS
