*
* Generic triode model: 45
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:31 2008
*          Plate
*          | Grid
*          | | Cathode
*          | | |
.SUBCKT 45 A G K
.param GG {(V(G,K)+-0.36938318)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.072484305*EP)^-0.45086063)}
.param M2 {((0.76889142*URAMP(GG+EP/3.1883948))^1.9508606)}
.param P  {(0.00046886056*URAMP(GG+EP/4.1467426)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00027269199*M1*M2)}
.param IG {(0.00023443028*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00041387828*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 7p
CGK G K 4p
CAK A K 3p
.ENDS
