*
* Generic triode model: 5965
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:06 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 5965 A G K
.param GG {(V(G,K)+0.61035688)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.024336203*EP)^-2.1648233)}
.param M2 {((0.40929668*URAMP(GG+EP/24.272617))^3.6648233)}
.param P  {(0.0045273524*URAMP(GG+EP/59.303235)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.010017704*M1*M2)}
.param IG {(0.0022636762*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0023786712*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 3p
CGK G K 4p
CAK A K 0.5p
.ENDS
