*
* Generic triode model: 6240G
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:15 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6240G A G K
.param GG {(V(G,K)+0.72455622)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.00866647*EP)^-0.48282918)}
.param M2 {((0.75649482*URAMP(GG+EP/28.097389))^1.9828292)}
.param P  {(0.0013034573*URAMP(GG+EP/37.141548)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00075405166*M1*M2)}
.param IG {(0.00065172867*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0007047229*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.6p
CGK G K 3.2p
CAK A K 1.2p
.ENDS
