*
* Generic triode model: 6AQ8
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:09 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6AQ8 A G K
.param GG {(V(G,K)+0.46274)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.016397559*EP)^-1.8244468)}
.param M2 {((0.4512029*URAMP(GG+EP/33.468219))^3.3244468)}
.param P  {(0.0053412983*URAMP(GG+EP/74.175541)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0076348*M1*M2)}
.param IG {(0.0026706491*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0027790257*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.5p
CGK G K 3.1p
CAK A K 1.2p
.ENDS
