*
* Generic triode model: 6BL7
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:11 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6BL7 A G K
.param GG {(V(G,K)+0.46718638)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.026376965*EP)^-0.79394664)}
.param M2 {((0.6538949*URAMP(GG+EP/13.121491))^2.2939466)}
.param P  {(0.0029779531*URAMP(GG+EP/20.066667)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0017970098*M1*M2)}
.param IG {(0.00086962635*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0013321095*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 6p
CGK G K 4.6p
CAK A K 0.9p
.ENDS
