*
* Generic triode model: 6C33CB
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:32 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT 6C33CB A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.31995431*EP)^-1.9846926)}
.param M2 {((0.43045404*URAMP(GG+EP/1.7800853))^3.4846926)}
.param P  {(0.015432878*URAMP(GG+EP/4.1353667)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.026902304*M1*M2)}
.param IG {(0.0077164388*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.013640208*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 31p
CGK G K 30p
CAK A K 10.5p
.ENDS
