*
* Generic triode model: 6F6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:04 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6F6T A G K
.param GG {(V(G,K)+0.99999999)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.043621772*EP)^-0.51782633)}
.param M2 {((0.74337419*URAMP(GG+EP/5.8829755))^2.0178263)}
.param P  {(0.00053269576*URAMP(GG+EP/7.9138819)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00030710831*M1*M2)}
.param IG {(0.00019764236*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00037552047*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4p
CGK G K 5p
CAK A K 6.9p
.ENDS
