*
* Generic triode model: 6J7T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:14 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6J7T A G K
.param GG {(V(G,K)+0.75953915)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0057490544*EP)^-0.20145614)}
.param M2 {((0.8815978*URAMP(GG+EP/20.595073))^1.7014561)}
.param P  {(0.00080605414*URAMP(GG+EP/23.361076)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00053791349*M1*M2)}
.param IG {(0.00040302707*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00045533328*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.8p
CGK G K 4.2p
CAK A K 12p
.ENDS
