*
* Generic triode model: 6JG6AT
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:17 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT 6JG6AT A G K
.param GG {(V(G,K)+0.99372841)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.20443422*EP)^-2.1006356)}
.param M2 {((0.41659311*URAMP(GG+EP/2.8537634))^3.6006356)}
.param P  {(0.0069256204*URAMP(GG+EP/6.8502415)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.014050654*M1*M2)}
.param IG {(0.0034628102*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0050333831*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 9.2p
CGK G K 12.8p
CAK A K 8.3p
.ENDS
