*
* Generic triode model: 6KD6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:31 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6KD6T A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.14076535*EP)^-1.0380568)}
.param M2 {((0.59100333*URAMP(GG+EP/2.905521))^2.5380568)}
.param P  {(0.0075955054*URAMP(GG+EP/4.9162515)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0051832527*M1*M2)}
.param IG {(0.0037977527*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0062293504*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 16.5p
CGK G K 23.5p
CAK A K 15.2p
.ENDS
