*
* Generic triode model: 6KV6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:43:25 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6KV6T A G K
.param GG {(V(G,K)+0.5805065)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.16898169*EP)^-1.508747)}
.param M2 {((0.4985464*URAMP(GG+EP/2.9675026))^3.008747)}
.param P  {(0.0050541434*URAMP(GG+EP/5.9523097)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0050986757*M1*M2)}
.param IG {(0.0025270717*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0038528147*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 9.2p
CGK G K 12.9p
CAK A K 8.4p
.ENDS
