*
* Generic triode model: 6L6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:38 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6L6T A G K
.param GG {(V(G,K)+0.91804059)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.10751078*EP)^-1.743575)}
.param M2 {((0.4624527*URAMP(GG+EP/4.9999386))^3.243575)}
.param P  {(0.0016883841*URAMP(GG+EP/10.811784)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0021948901*M1*M2)}
.param IG {(0.0022135943*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00056920996*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.4p
CGK G K 5.7p
CAK A K 5.9p
.ENDS
