*
* Generic triode model: 6U8PT
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:03 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6U8PT A G K
.param GG {(V(G,K)+0.65071871)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.046006989*EP)^-2.7651713)}
.param M2 {((0.35168575*URAMP(GG+EP/14.091647))^4.2651713)}
.param P  {(0.003445744*URAMP(GG+EP/40.068859)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.018698107*M1*M2)}
.param IG {(0.001722872*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0018526668*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2p
CGK G K 3p
CAK A K 3.5p
.ENDS
