*
* Generic triode model: 77T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:48 2008
*           Plate
*           | Grid
*           | | Cathode
*           | | |
.SUBCKT 77T A G K
.param GG {(V(G,K)+-1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0016865419*EP)^-0.038461538)}
.param M2 {((0.975*URAMP(GG+EP/14.823231))^1.5384615)}
.param P  {(0.00049759802*URAMP(GG+EP/15.203314)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00043219909*M1*M2)}
.param IG {(0.00024879901*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00029869203*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.9p
CGK G K 2.8p
CAK A K 11p
.ENDS
