*
* Generic triode model: 829BT
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:56 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 829BT A G K
.param GG {(V(G,K)+-0.31275554)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.031067512*EP)^-0.44774132)}
.param M2 {((0.7701228*URAMP(GG+EP/7.3992794))^1.9477413)}
.param P  {(0.0023834096*URAMP(GG+EP/9.6079215)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0013870937*M1*M2)}
.param IG {(0.0013863621*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0016211493*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 5.9p
CGK G K 8.6p
CAK A K 6.9p
.ENDS
