*
* Generic triode model: EL156T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:51 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT EL156T A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.011748081*EP)^-0.24110473)}
.param M2 {((0.86152198*URAMP(GG+EP/11.787288))^1.7411047)}
.param P  {(0.0036416815*URAMP(GG+EP/13.681935)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0023436481*M1*M2)}
.param IG {(0.0018208407*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0022273001*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 7.9p
CGK G K 11.1p
CAK A K 7p
.ENDS
