*
* Generic triode model: MH40
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:57 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT MH40 A G K
.param GG {(V(G,K)+0.39906513)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.011821777*EP)^-0.91482169)}
.param M2 {((0.62116387*URAMP(GG+EP/32.045617))^2.4148217)}
.param P  {(0.0012108021*URAMP(GG+EP/51.589634)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00077021291*M1*M2)}
.param IG {(0.00060540103*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00064077588*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 7.3p
CGK G K 6p
CAK A K 4p
.ENDS
