*
* Generic triode model: PX25A
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:43:06 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT PX25A A G K
.param GG {(V(G,K)+-0.75925792)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.10259158*EP)^-0.6493098)}
.param M2 {((0.69789846*URAMP(GG+EP/2.944701))^2.1493098)}
.param P  {(0.0013209842*URAMP(GG+EP/4.2193831)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00076697829*M1*M2)}
.param IG {(0.00066049212*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0011569181*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 14.8p
CGK G K 11.4p
CAK A K 8.3p
.ENDS
