*
* Generic triode model: WE421A
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:43:13 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT WE421A A G K
.param GG {(V(G,K)+0.99947463)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.16037928*EP)^-1.9202159)}
.param M2 {((0.4385688*URAMP(GG+EP/3.5006467))^3.4202159)}
.param P  {(0.0067402387*URAMP(GG+EP/7.9819784)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.010830172*M1*M2)}
.param IG {(0.0033701193*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0046756479*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 8.6p
CGK G K 6p
CAK A K 2.2p
.ENDS
